#
# spec file for package perl-Mail-Sendmail
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Mail-Sendmail
%define       real_name Mail-Sendmail
Summary:        Simple platform independent mailer
Url:            http://www.cpan.org/modules/by-module/Mail/
Group:          Development/Libraries/Perl
License:        Artistic-1.0
Version:        0.79
Release:        131.1
Source:         %{real_name}-%{version}.tar.gz
Patch0:         perl-Mail-Sendmail-Mailsend.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
Simple platform independent e-mail from your perl script.



Authors:
--------
    Milivoj Ivkovic <mi@alma.ch>

%prep
%setup -n %{real_name}-%{version}
%patch0

%build
perl Makefile.PL 
make %{?jobs:-j%jobs}

%check
make test

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf %{buildroot}

%files 
%defattr(-, root, root)
%doc Changes README MANIFEST
%doc %{_mandir}/man?/*
%doc %{perl_vendorlib}/Mail/
%dir %{perl_vendorlib}/Mail
%dir %{perl_vendorarch}/auto/Mail
%{perl_vendorarch}/auto/Mail/Sendmail
%{perl_vendorlib}/Mail/*

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Dec 21 2008 coolo@suse.de
- sync with build service
* Tue Feb 19 2008 coolo@suse.de
- fix perl dependencies
* Fri Feb 23 2007 tpatzig@suse.de
- initial package build
